"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
function useState(defaultStateValue) {
    const initValue = typeof defaultStateValue === 'function' ? defaultStateValue() : defaultStateValue;
    const innerValue = (0, vue_1.ref)(initValue);
    function triggerChange(newValue) {
        innerValue.value = newValue;
    }
    return [innerValue, triggerChange];
}
exports.default = useState;
